bug-question printing/ cups (solved)

Everything about X, Gnome, KDE, ... and everything running on it

bug-question printing/ cups (solved)

Postby jalu » 2009-07-01 22:36

edit: sorry, wrong section -> general

i think theres a bug in either cups or cups-driver-gutenprint sid,
but i don`t know for what to search on http://www.debian.org/Bugs/
please hold someone my hand :D :

Epson Stylus D92

Error-message during print-test-file:
Unsupported format 'application/postscript'!


Code: Select all
fubar$ apt-cache policy cups
cups:
  Installed: 1.3.10-5
  Candidate: 1.3.10-5
  Version table:
 *** 1.3.10-5 0
        500 http://ftp.de.debian.org sid/main Packages
        100 /var/lib/dpkg/status
     1.3.10-2 0
        500 http://ftp.de.debian.org squeeze/main Packages


Code: Select all
fubar$ apt-cache policy cups-driver-gutenprint
cups-driver-gutenprint:
  Installed: 5.2.3-3
  Candidate: 5.2.3-3
  Version table:
 *** 5.2.3-3 0
        500 http://ftp.de.debian.org sid/main Packages
        500 http://ftp.de.debian.org squeeze/main Packages
        100 /var/lib/dpkg/status


Drivers i checked:
Epson Stylus D68 (which is the one working in lenny; and in sid too a time ago)
Epson Stylus D88
Epson Stylus D92

if one of you is bored, might he/she check if its allready reported?
(i searched for cups and cups-driver-gutenprint, but nothing fits)
tia
Last edited by jalu on 2009-07-02 23:57, edited 2 times in total.
jalu
 
Posts: 1397
Joined: 2008-11-19 23:26

Re: bug-question printing

Postby bugsbunny » 2009-07-01 23:47

This one, maybe?
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=532916

testing or sid? If sid install ghostcript-cups. If testing intstall ghostscript-cups and then install cups from sid (the last may not be required - it may work with the cups currently in testing, but I chose to install the sid version).
User avatar
bugsbunny
 
Posts: 5355
Joined: 2008-07-06 17:04

Re: bug-question printing

Postby jalu » 2009-07-02 01:23

bugsbunny wrote:This one, maybe?
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=532916

testing or sid? If sid install ghostcript-cups. If testing intstall ghostscript-cups and then install cups from sid (the last may not be required - it may work with the cups currently in testing, but I chose to install the sid version).

yes, thats it. printing in sid works again. thanks
[btw:you found it with a searchengine or from the debian.orgBugs side? for me that side is confusing, i guess its another docu i have to append to my list :D ]
Last edited by jalu on 2009-07-02 15:28, edited 1 time in total.
jalu
 
Posts: 1397
Joined: 2008-11-19 23:26

Re: bug-question printing/ cups (solved)

Postby bugsbunny » 2009-07-02 11:38

I found it via Google searching first on the error message Unsupported format 'application/postscript'!. Searching on the error message, or a substantial part of it, is usually a good first shot approach.

I then narrowed it down from there, although the results of that would have been enough for me to go check the errors under "cups" if google wasn't enough. But I just added cups and debian to the Google search then picked a recent error. It also helped that I had just dealt with the ghostscript-cups package, so when I saw that in the list of errors I jumped on it (it was the third one listed).

If you don't have it installed I suggest apt-listbugs, then check any bugs it flags before actually installing/upgrading a package. This one flagged on the recent ghostscript update in testing, which, when researching, was how I found out about the (new) ghostscript-cups package.

The version of cups in sid has a recommends dependency on the new package, but neither ghostscript nor cups in testing refers to it. And cups in sid is currently hung up in a transition (which is why it hasn't moved to testing yet).
User avatar
bugsbunny
 
Posts: 5355
Joined: 2008-07-06 17:04

Re: bug-question printing/ cups (solved)

Postby jalu » 2009-07-02 14:35

ok, thanks. when i get into hardware-trouble in general and printer-trouble in particular i still tend to panic.
therefor i only checked the debian-bugs side. thanks for your help.
yes, i got apt-listbugs installed. i don`t recall the bug beeing listed.

thanks for the good additional explanation on bug-hunting, merely that was my problem, as i don`t print that often i could have had lived with that.
greetings
jalu
 
Posts: 1397
Joined: 2008-11-19 23:26

Re: bug-question printing/ cups (solved)

Postby Citizen_Jimserac » 2009-07-03 18:18

The fix by installing ghostscript-cups worked immediately for me too.

Install ghostscript-cups, then either restart cups-server or else reboot and voilla, printers working again.

CJ
Citizen_Jimserac
 
Posts: 1
Joined: 2009-07-03 18:16

Re: bug-question printing/ cups (solved)

Postby Bulkley » 2009-07-06 18:47

Hey, People, thanks for this. You just solved my problem too. Installing ghostscript-cups worked.
Bulkley
 
Posts: 6102
Joined: 2006-02-11 18:35


Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 14 guests

fashionable